set -e

test_dir="$(mktemp -d)"
trap "rm -rf $test_dir" EXIT

mkdir -p "$test_dir"/run
mkdir -p "$test_dir"/data

test_cfg="(import ./config.nix) // {
    runDir=\"${test_dir}/run\";
    dataDir=\"${test_dir}/data\";
}"

nix-shell -A shell --arg config "$test_cfg" "$@"
